Package org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

## Class MergeViewerItem.Container

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem
    - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem.Container

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IMergeViewerItem`, `IMergeViewerItem.Container`

Direct Known Subclasses:
  `ResourceAttachmentChangeMergeViewerItem`

Enclosing class:
  MergeViewerItem

    @Deprecated
    public static class MergeViewerItem.Container
    extends MergeViewerItem
    implements IMergeViewerItem.Container

Deprecated.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem

`MergeViewerItem.Container`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IMergeViewerItem.Container`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IS_INSERTION_POINT`

### Constructor Summary

Constructors
`Container​(Comparison comparison, Diff diff, Object left, Object right, Object ancestor, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)` Deprecated.
`Container​(Comparison comparison, Diff diff, Match match, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`IMergeViewerItem.Container` `cloneAsOpposite()` Deprecated.
`IMergeViewerItem[]` `getChildren​(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)` Deprecated. Returns the children of this container.
`protected Collection<? extends EStructuralFeature>` `getChildrenFeatures​(Object object)` Deprecated. Returns the list of children features to display within the UI.
`protected Collection<EStructuralFeature>` `getChildrenFeaturesFromEClass​(Object object)` Deprecated.
`protected Collection<? extends EStructuralFeature>` `getChildrenFeaturesFromItemProviderAdapter​(Object object)` Deprecated.
`static IMergeViewerItem[]` `getNoItemsArr()` Deprecated.
`IMergeViewerItem.Container` `getParent()` Deprecated. Returns the parent of this element.
`boolean` `hasChildren​(IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate)` Deprecated. Returns whether this container has at least one child.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem

`createBasicContainer, createBasicContainer, createInsertionPoints, createMergeViewerItemFrom, createMergeViewerItemFrom, filteredDiffs, getAdapterFactory, getAncestor, getBestSideValue, getComparison, getDiff, getLeft, getRight, getSide, getSideValue, isInsertionPoint, toString, visibleInMergeViewer, yieldsInsertionPoint, yieldsMergeViewerItem`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`getAncestor, getDiff, getLeft, getRight, getSide, getSideValue, isInsertionPoint`

### Constructor Detail

#### Container

    public Container​(Comparison comparison,
                     Diff diff,
                     Object left,
                     Object right,
                     Object ancestor,
                     IMergeViewer.MergeViewerSide side,
                     AdapterFactory adapterFactory)

Deprecated.

Parameters:
  `comparison` -
  `diff` -
  `left` -
  `right` -
  `ancestor` -

#### Container

    public Container​(Comparison comparison,
                     Diff diff,
                     Match match,
                     IMergeViewer.MergeViewerSide side,
                     AdapterFactory adapterFactory)

Deprecated.

Parameters:
  `fComparison` -
  `referenceChange` -
  `parentMatch` -
  `fSide` -
  `fAdapterFactory` -

### Method Detail

#### getNoItemsArr

    public static IMergeViewerItem[] getNoItemsArr()

Deprecated.

Returns:
  the noItemsArr

#### getParent

    public IMergeViewerItem.Container getParent()

Deprecated.
Returns the parent of this element. If the object is the root of a hierarchy `null` is returned.

Specified by:
  `getParent` in interface `IMergeViewerItem`
Overrides:
  `getParent` in class `MergeViewerItem`
Returns:
  the parent of this element, or `null` if the element has no parent
See Also:
  `org.eclipse.emf.compare.rcp.ui.MergeViewerItem.item.impl.AbstractMergeViewerItem#getParent()`

#### hasChildren

    public boolean hasChildren​(IDifferenceGroupProvider groupProvider,
                               com.google.common.base.Predicate<? super EObject> predicate)

Deprecated.
Returns whether this container has at least one child. In some cases this methods avoids having to call the potential more costly `getChildren` method.

Specified by:
  `hasChildren` in interface `IMergeViewerItem.Container`
Parameters:
  `groupProvider` - the active group provider.
  `predicate` - the active predicate.
Returns:
  `true` if this container has at least one child
See Also:
  `IMergeViewerItem.Container.hasChildren(IDifferenceGroupProvider, Predicate)`

#### cloneAsOpposite

    public IMergeViewerItem.Container cloneAsOpposite()

Deprecated.

Overrides:
  `cloneAsOpposite` in class `MergeViewerItem`

#### getChildren

    public IMergeViewerItem[] getChildren​(IDifferenceGroupProvider group,
                                          com.google.common.base.Predicate<? super EObject> predicate)

Deprecated.
Returns the children of this container. If this container has no children an empty array is returned (not `null`).

Specified by:
  `getChildren` in interface `IMergeViewerItem.Container`
Parameters:
  `group` - the active group provider.
  `predicate` - the active predicate.
Returns:
  the children of this container as an array
See Also:
  `IMergeViewerItem.Container.getChildren(IDifferenceGroupProvider, Predicate)`

#### getChildrenFeatures

    protected Collection<? extends EStructuralFeature> getChildrenFeatures​(Object object)

Deprecated.
Returns the list of children features to display within the UI.

Parameters:
  `object` -
Returns:

#### getChildrenFeaturesFromEClass

    protected Collection<EStructuralFeature> getChildrenFeaturesFromEClass​(Object object)

Deprecated.

#### getChildrenFeaturesFromItemProviderAdapter

    protected Collection<? extends EStructuralFeature> getChildrenFeaturesFromItemProviderAdapter​(Object object)

Deprecated.